Bug 82258 - Wrong sysfont when shutting down
Wrong sysfont when shutting down
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
Blocks: 79579 CambridgeTarget
  Show dependency treegraph
Reported: 2003-01-20 11:42 EST by Mattias Dahlberg
Modified: 2014-03-16 22:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-29 16:35:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mattias Dahlberg 2003-01-20 11:42:33 EST
Description of problem:

When shutting down the correct sysfont doesn't get set until portmapper is run. 
It would be nice if the sysfont could get set at the beginning of the shutdown.

This is very similar to bug 75535 (thanks for fixing) but concerns shutdown 
instead of bootup.

How reproducible:

Steps to Reproduce:
1. Use another language than English
2. Shutdown
3. Check out the strange UTF8 characters
Comment 1 Bill Nottingham 2003-01-20 15:37:40 EST
This shouldn't make any difference; it should have already been set correctly on
boot. How are you shutting down?
Comment 2 Mattias Dahlberg 2003-01-21 04:40:00 EST
Try restarting the computer from gdm.

In fact, I just discovered that the sysfont is wrong only when you _restart_ 
the computer, not when you shut down, although the strings are the same.
Comment 3 Mattias Dahlberg 2003-01-24 05:00:46 EST
I have to add that this doesn't happen everytime. I'm desperately trying to 
find a pattern to when it happens, but no success so far.

Most of the times the sysfont is correct, which makes it harder to debug, but 
also makes the bug less serious. :)
Comment 4 Bill Nottingham 2005-09-29 16:35:40 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of

I suspect this has to do with GDM running on a terminal that hasn't been
properly initialized.

This should be fixed post-FC4.

Note You need to log in before you can comment on or make changes to this bug.